Bug 732427 - rhn_check fills /var by attempting to do a full download of the metadata
Summary: rhn_check fills /var by attempting to do a full download of the metadata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin
Version: 5.7
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Miroslav Suchý
QA Contact: Martin Minar
URL:
Whiteboard:
Depends On: 729657
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 12:47 UTC by RHEL Product and Program Management
Modified: 2018-11-15 09:58 UTC (History)
22 users (show)

Fixed In Version: yum-rhn-plugin-0.5.4-22.el5_7.1
Doc Type: Bug Fix
Doc Text:
Prior to this update, rhnplugin always downloaded all available repository metadata, including the filelist.xml and others.xml files, which are not required for regular Yum transactions. To prevent unnecessary disk space consumption, this update adapts rhnplugin to download only the metadata required for a particular Yum transaction.
Clone Of:
Environment:
Last Closed: 2011-08-24 03:54:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1198 normal SHIPPED_LIVE yum-rhn-plugin bug fix update 2011-08-24 03:54:35 UTC

Description RHEL Product and Program Management 2011-08-22 12:47:34 UTC
This bug has been copied from bug #729657 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 6 Michael Mráka 2011-08-23 08:52:51 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The rhnplugin provided by the yum-rhn-plugin package downloaded all the repository metadata available, including others and filelist which were not required by the regular usage of yum. With this updated package, rhnplugin now downloads only relevant subpart of metadata.

Comment 8 Martin Minar 2011-08-23 11:42:28 UTC
Verified fix in yum-rhn-plugin-0.5.4-22.el5_7.1

Reproducer used:
1. Connect client to Satellite/RHN
2. In satellite do Software > Install > zsh
3. On client run: rhn_check
4. On client run: du -sh /var/cache/yum

Comment 9 Jaromir Hradilek 2011-08-23 12:00:13 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-The rhnplugin provided by the yum-rhn-plugin package downloaded all the repository metadata available, including others and filelist which were not required by the regular usage of yum. With this updated package, rhnplugin now downloads only relevant subpart of metadata.+Prior to this update, rhnplugin always downloaded all available repository metadata, including the filelist.xml and others.xml files, which are not required for regular Yum transactions. To prevent unnecessary disk space consumption, this update adapts rhnplugin to download only the metadata required for a particular Yum transaction.

Comment 10 errata-xmlrpc 2011-08-24 03:54:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1198.html


Note You need to log in before you can comment on or make changes to this bug.